[Rubygems-developers] RubyGems 1.3.3?

Eric Hodel drbrain at segment7.net
Sat May 2 18:16:24 EDT 2009


On May 2, 2009, at 13:25, Hugh Sasse wrote:
> On Sat, 2 May 2009, Luis Lavena wrote:
>> On Fri, May 1, 2009 at 10:08 PM, Hugh Sasse <hgs at dmu.ac.uk> wrote:
>>> On Fri, 1 May 2009, Chad Woolley wrote:
>>> How do we check for version numbers?  If we assume /\d\.\d\.\d/ as
>>> Ruby has in the past we will run out.  If we assume /\d+\.\d+\.\d 
>>> +/ then
>> irb(main):004:0> v1 = Gem::Version.new('12.230.965')
>> => #<Gem::Version "12.230.965">
>> irb(main):005:0> v2 = Gem::Version.new('12.230.875')
>> => #<Gem::Version "12.230.875">
>> irb(main):006:0> v1 > v2
>> => true
>> irb(main):007:0> v1 < v2
>> => false
>
> Then my remarks above can be compressed to one bit: YES.  Thank you  
> for taking
> the time to dig out that info.  Not had chance to explore the source  
> lately.

Don't forget RubyGems 0.8.11 (and .10)


More information about the Rubygems-developers mailing list